MCP Tools Reference: people.googleapis.com

Tool: get_user_profile

Profilinformationen zu Ihnen abrufen (Name und E‑Mail-Adresse).

Im folgenden Beispiel wird gezeigt, wie Sie curl verwenden, um das MCP-Tool get_user_profile aufzurufen.

Curl-Anfrage
curl --location 'https://people.googleapis.com/mcp/v1' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_user_profile",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Eingabeschema

Anfragenachricht für GetUserProfile

Ausgabeschema

Antwortnachricht für GetUserProfile

GetUserProfileResponse

JSON-Darstellung
{
  "name": string,
  "emailAddress": string
}
Felder
name

string

Anzeigename des Nutzers.

emailAddress

string

E‑Mail-Adresse des Nutzerkontos.

Tool-Anmerkungen

Destruktiver Hinweis: ❌ | Idempotenter Hinweis: ✅ | Hinweis „Nur lesen“: ✅ | Hinweis „Offene Welt“: ❌